diff --git a/netware/BUILD/compile-netware-max b/netware/BUILD/compile-netware-max
new file mode 100644
index 0000000000000000000000000000000000000000..ec737d4615c6f2d4fd37d5c68925e4ea02f8b72c
--- /dev/null
+++ b/netware/BUILD/compile-netware-max
@@ -0,0 +1,23 @@
+#! /bin/sh
+
+# debug
+#set -x
+
+# stop on errors
+set -e
+
+
+path=`dirname $0`
+. $path/compile-netware-START
+
+suffix="max"
+
+extra_configs=" \
+	--with-innodb	\
+	--with-embedded-server \
+	--with-openssl \
+	"
+
+. $path/compile-netware-END
+
+
diff --git a/netware/BUILD/compile-netware-max-debug b/netware/BUILD/compile-netware-max-debug
new file mode 100644
index 0000000000000000000000000000000000000000..ea3553ae6e17703676477e827d76a1b8371756da
--- /dev/null
+++ b/netware/BUILD/compile-netware-max-debug
@@ -0,0 +1,23 @@
+#! /bin/sh
+
+# debug
+#set -x
+
+# stop on errors
+set -e
+
+path=`dirname $0`
+. $path/compile-netware-START
+
+suffix="max-debug"
+
+extra_configs=" \
+	--with-innodb \
+	--with-debug=full	\
+	--with-embedded-server \
+	--with-openssl \
+	"
+
+. $path/compile-netware-END
+
+
diff --git a/netware/BUILD/compile-netware-src b/netware/BUILD/compile-netware-src
new file mode 100644
index 0000000000000000000000000000000000000000..df7f6fcdd1a8c0a7276aeea3075ff100af025693
--- /dev/null
+++ b/netware/BUILD/compile-netware-src
@@ -0,0 +1,36 @@
+#! /bin/sh                   
+
+# debug
+#set -x
+
+# stop on errors
+set -e
+
+if test ! -r ./sql/mysqld.cc
+then
+  echo "you must start from the top source directory"
+  exit 1
+fi
+
+path=`dirname $0`
+
+# clean
+if test -e "Makefile"; then
+	make -k clean;
+	make -k distclean;
+fi
+
+# remove other files
+rm -f NEW-RPMS/*
+rm -f */.deps/*.P
+rm -rf Makefile.in.bk
+
+# zip source
+files=`pwd | sed -e "s/.*\\\(mysql-.*\)/\1/"`
+file=`pwd | sed -e "s/.*\\mysql-\(.*\)/mysql-src-\1-pc-netware-i686/"`
+cd ..
+if test -e "$file.zip"; then rm -f $file.zip; fi
+zip -r $file.zip $files -x \*.zip -x \*.tar.gz
+if test -e "./$files/$file.zip"; then mv -f ./$files/$file.zip ./$files/$file.zip.old; fi
+mv -f $file.zip ./$files/$file.zip
+
diff --git a/netware/BUILD/knetware.imp b/netware/BUILD/knetware.imp
new file mode 100644
index 0000000000000000000000000000000000000000..d9a9372b34fbd8d4e01188c4cac95b10574988f4
--- /dev/null
+++ b/netware/BUILD/knetware.imp
@@ -0,0 +1,2 @@
+kYieldIfTimeSliceUp
+
diff --git a/netware/BUILD/openssl.imp b/netware/BUILD/openssl.imp
new file mode 100644
index 0000000000000000000000000000000000000000..8972ff5d58cb611ebe20dbe273c799dad3c7e987
--- /dev/null
+++ b/netware/BUILD/openssl.imp
@@ -0,0 +1,9 @@
+WS2_32_shutdown
+WS2_32_closesocket
+WSASetLastError
+WS2_32_recv
+WSASetLastError
+WS2_32_send
+WSAGetLastError
+GetProcessSwitchCount
+RunningProcess